Last Comment Bug 532232 - Push SUMO 1.5 to production on Thursday 12/3
: Push SUMO 1.5 to production on Thursday 12/3
Status: VERIFIED FIXED
12/03/2009 @ 6pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: chizu
: matthew zeier [:mrz]
:
Mentors:
Depends on: 532511
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 16:12 PST by James Socol [:jsocol, :james]
Modified: 2013-10-09 10:29 PDT (History)
5 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description James Socol [:jsocol, :james] 2009-12-01 16:12:13 PST
This is a slightly more complex push:

We'll need to move production's search onto the Sphinx cluster, update some related configuration, and make sure that Aspell, Pspell, and the Aspell dictionaries are installed. And of course the SVN switch. (We don't have a tag yet, I'll update the bug.)

And I'll double check but I don't believe there are any SQL changes.
Comment 1 matthew zeier [:mrz] 2009-12-03 15:11:55 PST
Is there enough detail in comment #0 to do this push?
Comment 2 James Socol [:jsocol, :james] 2009-12-03 15:12:29 PST
(In reply to comment #1)
> Is there enough detail in comment #0 to do this push?

Tagging and collecting the additional info right now.
Comment 3 James Socol [:jsocol, :james] 2009-12-03 15:32:10 PST
Tag is:
https://svn.mozilla.org/projects/sumo/tags/1.5/1.5_r52715_20091203

SQL patches:
https://bugzilla.mozilla.org/attachment.cgi?id=400141
https://bugzilla.mozilla.org/attachment.cgi?id=393952

Other changes:
Move to Sphinx cluster
Ensure Aspell, Aspell dictionaries, Pspell are available

Non-IT checks (things we need to do post push):
Settings in bug 529029
Updated content block in bug 530195
Update search weights from bug 529681
Turn on pref from bug 506166
Edit modules from bug 526638
Change pref from bug 527959 comment 4
Change pref from bug 520941

After those changes, we'll probably need to flush caches.
Comment 4 chizu 2009-12-03 16:56:07 PST
php-pspell, aspell, and the dictionaries installed.
Comment 5 chizu 2009-12-03 17:29:08 PST
New sphinx daemon deployed and tested. Rotates every 15 minutes.
Comment 6 chizu 2009-12-03 18:07:36 PST
Switched to:
URL: https://svn.mozilla.org/projects/sumo/tags/1.5/1.5_r52715_20091203
Repository Root: https://svn.mozilla.org
Repository UUID: 4eb1ac78-321c-0410-a911-ec516a8615a5
Revision: 57251

mysql> INSERT INTO users_permissions (`permName`, `permDesc`, `level`, `type`) values('tiki_p_newsearch_advanced', 'Can use advanced newsearch', 'editors', 'search');
Query OK, 1 row affected (0.01 sec)

mysql> CREATE TABLE `events_event` (
    ->  `event_id` int(11) NOT NULL auto_increment,
    ->  `event_name` varchar(255) NOT NULL,
    ->  `event_date` timestamp NULL default NULL,
    ->  `event_signuptext` blob NOT NULL,
    ->  `event_canceltext` blob NOT NULL,
    ->  `event_validfrom` timestamp NULL default NULL,
    ->  `event_validto` timestamp NULL default NULL,
    ->  `event_signupbefore` blob,
    ->  PRIMARY KEY  (`event_id`),
    ->  UNIQUE KEY `event_name` (`event_name`),
    ->  KEY `event_validfrom` (`event_validfrom`),
    ->  KEY `event_validto` (`event_validto`),
    ->  KEY `event_date` (`event_date`)
    -> );
Query OK, 0 rows affected (0.07 sec)

mysql> 
mysql> CREATE TABLE `events_signup` (
    ->  `signup_id` int(11) NOT NULL auto_increment,
    ->  `event_id` int(11) NOT NULL,
    ->  `signup_user` varchar(255) NOT NULL,
    ->  `signup_email` varchar(255) NOT NULL,
    ->  `signup_date` datetime NOT NULL,
    ->  `signup_hash` varchar(255) default NULL,
    ->  PRIMARY KEY  (`signup_id`),
    ->  UNIQUE KEY `signup_hash` (`signup_hash`)
    -> );
Query OK, 0 rows affected (0.00 sec)
Comment 7 chizu 2009-12-03 18:18:15 PST
Firewall rule for sphinx needed fixing. It's all live.
Comment 8 [:Cww] 2009-12-03 18:30:47 PST
All pref changes in comment 3 done!
Comment 9 Stephen Donner [:stephend] 2009-12-03 19:04:52 PST
http://support.mozilla.com/1/windows7-support doesn't redirect (it should, per the .htaccess changes in bug 510329); Chizu, can you re-run the .htaccess script?
Comment 10 chizu 2009-12-03 19:28:02 PST
(In reply to comment #9)
> http://support.mozilla.com/1/windows7-support doesn't redirect (it should, per
> the .htaccess changes in bug 510329); Chizu, can you re-run the .htaccess
> script?

htaccess.sh rerun.
Comment 11 Stephen Donner [:stephend] 2009-12-03 19:29:12 PST
http://support.mozilla.com/1/windows7-support now redirects to http://support.mozilla.com/en-US/kb/Firefox+Help?style_mode=inproduct.

Chizu re-ran htaccess.sh, and Vishal and I tested a plethora of bugs (the critical ones), as well as ran Selenium IDE tests.

Verified FIXED (push).

Note You need to log in before you can comment on or make changes to this bug.